# community.docker.docker_stack_info module – Return information on a docker stack

Note

This module is part of the community.docker collection (version 3.2.2).

To install it, use: `ansible-galaxy collection install community.docker`.

To use it in a playbook, specify: `community.docker.docker_stack_info`.

- Synopsis

- Attributes

- Examples

- Return Values

## Synopsis

- Retrieve information on docker stacks using the `docker stack` command on the target node (see examples).

## Attributes

Attribute | Support | Description
--- | --- | ---
check_mode | Support: full This action does not modify state. | Can run in `check_mode` and return changed status prediction without modifying target.
diff_mode | Support: N/A This action does not modify state. | Will return details on what has changed (or possibly needs changing in `check_mode`), when in diff mode.

## Examples

    - name: Shows stack info
      community.docker.docker_stack_info:
      register: result

    - name: Show results
      ansible.builtin.debug:
        var: result.results

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Description
--- | ---
results list / elements=dictionary | List of dictionaries containing the list of stacks or tasks associated to a stack name. Returned: always Sample: `[{"name": "grafana", "namespace": "default", "orchestrator": "Kubernetes", "services": "2"}]`

### Authors

- Jose Angel Munoz (@imjoseangel)

### Collection links

Issue Tracker Repository (Sources) Submit a bug report Request a feature Communication